struct Point {
    x: i32,
    y: i32,
}

// ANCHOR: here
fn main() {
    let p = Point { x: 0, y: 7 };

    match p {
        Point { x, y: 0 } => println!("Na osi x w punkcie {x}"),
        Point { x: 0, y } => println!("Na osi y w punkcie {y}"),
        Point { x, y } => {
            println!("Na żadnej z osi: ({x}, {y})");
        }
    }
}
// ANCHOR_END: here
